Skip to main content
POST
/
checkWhitelist
checkWhitelist
curl --request POST \
  --url https://rpc.etherspot.io/paymaster/checkWhitelist \
  --header 'Content-Type: application/json' \
  --data '
{
  "params": [
    "<string>"
  ]
}
'
import requests

url = "https://rpc.etherspot.io/paymaster/checkWhitelist"

payload = { "params": ["<string>"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({params: ['<string>']})
};

fetch('https://rpc.etherspot.io/paymaster/checkWhitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Example values you can use to demo the API:
{
  "apiKey": "etherspot_public_key",
  "chainId": "11155111",
  "params": [
    "0x725404c8Eead111d9E6DFE118c535F43402a9511"
  ]}
Example response:
{
  "message": "Already added"
}

Query Parameters

apiKey
string

Arka API key

chainId
string

Chain ID

Body

application/json

Check an address is whitelisted

params
string[]

Response

200

Successful operation